.pagination-controls {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    margin: 1rem 0;
    flex-wrap: wrap;
}

.pagination-button {
    padding: 0.5rem 1rem;
    border: 1px solid var(--primary-dark);
    background-color: var(--sidebar-background-colour);
    color: var(--text-colour);
    cursor: pointer;
    border-radius: 4px;
    transition:
        background-color 0.2s ease,
        color 0.2s ease;
    font-size: 0.9rem;
    min-width: 2.5rem;
    text-align: center;
}

.pagination-button:enabled:hover {
    background-color: var(--primary-dark);
}

.pagination-button.active {
    background-color: var(--primary);
    color: var(--dark-mode-text);
    border-color: var(--primary);
}

.pagination-button:disabled {
    opacity: 0.5;
    cursor: auto;
}

.pagination-info {
    text-align: center;
    margin: 0.5rem 0;
    color: var(--text-colour);
    font-size: 0.9rem;
}

@media (max-width: 1026px) {
    .pagination-controls {
        gap: 0.4rem;
    }

    .pagination-button {
        padding: 0.4rem 0.8rem;
        font-size: 0.8rem;
        min-width: 3rem;
        min-height: 3rem;
        font-size: 1.1rem;
    }
}
